#!/usr/bin/env python

from data import *
from math import *

dataname = ['MSD', 'tfidf6', 'logp6', 'dong', 'kddb']

datasets = [MSD_scale_default_2, E2006_scale_default_2, LE2006_scale_default_2, mydong_scale_default_2, kdd2010b_scale_default_2]

linear_log = 'default'
bias_log = 'default-bias'


for i, data in enumerate(dataname):
	mse = -1
	bias_mse = -1
	
	for line in open(linear_log + '/' + datasets[i].name):
		if 'Mean squared' in line:
			mse = line.split()[-2][:7]
	for line in open(bias_log + '/' + datasets[i].name):
		if 'Mean squared' in line:
			bias_mse = line.split()[-2][:7]

	print("\\" + " & ".join(map(str, [dataname[i], mse, bias_mse])) + "\\\\")
