#!/usr/bin/env bash

# MSD
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/YearPredictionMSD.bz2
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/YearPredictionMSD.t.bz2
bunzip2 YearPredictionMSD.bz2
bunzip2 YearPredictionMSD.t.bz2
mv YearPredictionMSD YearPredictionMSD.train
mv YearPredictionMSD.t YearPredictionMSD.test
./scale_MSD_y YearPredictionMSD.train
./scale_MSD_y YearPredictionMSD.test
./scale YearPredictionMSD.train.yscale > YearPredictionMSD.train.yscale.scale
./scale YearPredictionMSD.test.yscale > YearPredictionMSD.test.yscale.scale
./subset.py -s 1 YearPredictionMSD.train.yscale.scale 4637 YearPredictionMSD.train.yscale.scale.4637  

# TFIDF
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/E2006.train.bz2
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/E2006.test.bz2
bunzip2 E2006.train.bz2
bunzip2 E2006.test.bz2
./scale E2006.train > E2006.train.scale
./scale E2006.test > E2006.test.scale

# LOG1P
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/log1p.E2006.train.bz2
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/regression/log1p.E2006.test.bz2
bunzip2 log1p.E2006.train.bz2
bunzip2 log1p.E2006.test.bz2
./scale log1p.E2006.train > log1p.E2006.train.scale
./scale log1p.E2006.test > log1p.E2006.test.scale

# KDD2010b
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/kddb.bz2
wget http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/kddb.t.bz2
bunzip2 kddb.bz2
bunzip2 kddb.t.bz2
mv kddb kdd2010b.train
mv kddb.t kdd2010b.test
./scale kdd2010b.train > kdd2010b.train.scale
./scale kdd2010b.test > kdd2010b.test.scale
./subset.py -s 1 kdd2010b.train.scale 19264 kdd2010b.train.scale.19264
