#!/usr/bin/env python

import os
from data import *

log = 'default-ls'
train = '../liblinear-svr/train -s 11 -p 0 -e 0.1'

datasets = []
datasets += [MSD_scale_lsmse_2, E2006_scale_lsmse_2, LE2006_scale_lsmse_2]
datasets += [mydong_scale_lsmse_2, kdd2010b_scale_lsmse_2]


if not os.path.exists(log):
	os.mkdir(log)

for data in datasets:
	if os.path.exists(log + '/' + data.name):
		continue
	
	exec_cmd = '{0} -c {4} ./data/{1} ./data/{2} > {3}'.format(train, data.train, data.test, log + '/' + data.name, data.c)
	print(exec_cmd)
	os.system(exec_cmd)
	#os.system('cat {0}/{1}'.format(log, data.name))
